#pragma once

#include <osg/Notify>
#include <osg/NodeVisitor>
#include <osg/PagedLOD>
#include <osgTerrain/TerrainTile>
#include <osgTerrain/Layer>

#include "ellipsoidTechnique.h"


class ModificationVisitor : public osg::NodeVisitor
{
public:
	ModificationVisitor(std::string extensionToSet);
	virtual void apply( osg::Node& node );
	virtual void apply( osg::PagedLOD& pNode );

private:
	void modifyTile(osgTerrain::TerrainTile* tile);
	std::string _extensionToSet;
	osg::ref_ptr<ellipsoidTechnique> _technique;

};
